#include "satellite.h"

satellite::satellite(const string NOME=" ",const string PIANETA=" ",const int DIST=0,const int RAG=0){
                           corpoceleste(NOME);
                           pianeta=PIANETA;
                           distanza=DIST;
                           raggio=RAG;
                           }
void satellite::stampadati(){
     cout<<"\nSono un satellite di nome:";
     stampanome();
     cout<<"appartenente al pianeta:"<<pianeta;
     cout<<"\nDistante"<<distanza<<"kilometri";
     cout<<"\ncon raggio di:"<<raggio<<" kilometri"<<endl;
     }
